﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "Daily Operations-Day Close Management";
}
@section PAGETITLE{
    Daily Operations-Day Close Management
}

<div>
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="tab-PendingBookingNo" data-toggle="tab" href="#PendingBookingNo" role="tab" aria-controls="BookingNo" aria-selected="true">Pending Booking No.</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="tab-PendingCheckIn" data-toggle="tab" href="#PendingCheckIn" role="tab" aria-controls="CheckIn" aria-selected="false">Pending Check In</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="tab-PendingCheckOut" data-toggle="tab" href="#PendingCheckOut" role="tab" aria-controls="CheckOut" aria-selected="false">Pending Check Out</a>
        </li>

        <li class="nav-item">
            <a class="nav-link" id="tab-PendingReferralCheckIn" data-toggle="tab" href="#PendingReferralCheckIn" role="tab" aria-controls="CheckIn" aria-selected="false">Pending Referral Check In</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="tab-PendingReferralCheckOut" data-toggle="tab" href="#PendingReferralCheckOut" role="tab" aria-controls="CheckOut" aria-selected="false">Pending Referral Check Out</a>
        </li>
    </ul>

    <div class="tab-content" id="myTabContent">

        <div class="tab-pane fade show active" id="PendingBookingNo" role="tabpanel" aria-labelledby="PendingBookingNo-tab">
            @{ Html.RenderPartial("_PendingBookingNo", Model); }
        </div>

        <div class="tab-pane fade" id="PendingCheckIn" role="tabpanel" aria-labelledby="PendingCheckIn-tab">
            @{ Html.RenderPartial("_PendingCheckIn", Model); }
        </div>

        <div class="tab-pane fade" id="PendingCheckOut" role="tabpanel" aria-labelledby="PendingCheckOut-tab">
            @{ Html.RenderPartial("_PendingCheckOut", Model); }
        </div>

        <div class="tab-pane fade" id="PendingReferralCheckIn" role="tabpanel" aria-labelledby="PendingReferralCheckIn-tab">
            <div class="card">
                <h2 class="text-center mt-3" style="color:indianred">Remaining CheckIn of Referral Bookings</h2>
            </div>
        </div>
       
        <div class="tab-pane fade" id="PendingReferralCheckOut" role="tabpanel" aria-labelledby="PendingReferralCheckOut-tab">
            <div class="card">
                <h2 class="text-center mt-3" style="color:indianred">Referral Reservations - Remaining CheckOut</h2>
            </div>
        </div>


    </div>
</div>

<script>
    ////https://www.tutorialrepublic.com/faq/how-to-keep-the-current-tab-active-on-page-reload-in-bootstrap.php

    $(document).ready(function () {
        $('a[data-toggle="tab"]').on('show.bs.tab', function (e) {
            localStorage.setItem('activeTab', $(e.target).attr('href'));
        });
        var activeTab = localStorage.getItem('activeTab');
        if (activeTab) {
            $('#myTab a[href="' + activeTab + '"]').tab('show');
        }
    });
</script>